Subject: bug#33737: do not attempt to build a package known to be broken

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 16 Dec 2018 22:55:30 +0100

Danny Milosavljevic <[email-masked]> writes:

>> I propose that “guix publish” should also convey information about
>> failed builds.  The Guix client can then abort right away without
>> wasting time and power to attempt a doomed build.  Users may override
>> this with “--fallback” or a new option.
>
> As long as we distinguish transient build machine errors (disk full, can't
> resolve hostname, too many names in directory, no inodes left etc) from actual
> errors in the source code, +1.

I was thinking of something very simple.  The daemon is already capable
of caching build failures; I think it may be good to simply pass that
information on to clients.

I don’t know how we could distinguish different kinds of build failures
with the current daemon.

--
Ricardo